> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出素材

> ListAssets — POST /api/v3/seedance

## 简介

按条件查询素材列表。`PageNumber` / `PageSize` / `Filter.GroupType` 必填。

## 认证

<ParamField header="Authorization" type="string" required>
  Bearer Token，如 `Bearer sk-your_token_key`
</ParamField>

## 请求参数

<ParamField body="Filter.GroupIds" type="array">
  按素材组 ID 过滤
</ParamField>

<ParamField body="Filter.GroupType" type="string" required>
  `AIGC` / `LivenessFace`
</ParamField>

<ParamField body="Filter.Statuses" type="array">
  `Active` / `Processing` / `Failed`
</ParamField>

<ParamField body="Filter.Name" type="string">
  按名称模糊搜索
</ParamField>

<ParamField body="PageNumber" type="integer" required>
  页码，从 1 开始
</ParamField>

<ParamField body="PageSize" type="integer" required>
  每页数量，最多 100
</ParamField>

<ParamField body="SortBy" type="string" default="CreateTime">
  `CreateTime` / `UpdateTime` / `GroupId`
</ParamField>

<ParamField body="SortOrder" type="string" default="Desc">
  `Asc` / `Desc`
</ParamField>

<ParamField body="ProjectName" type="string" default="default">
  项目名
</ParamField>

<Note>
  `SortBy` / `SortOrder`（以及其他未列出的字段）都会原样转发。`Status` 为 `Failed` 的 Item 上还会多带 `Error: {Code, Message}`。
</Note>

## 请求示例

```bash theme={null}
curl -X POST "https://api.gravitex.ai/api/v3/seedance?Action=ListAssets&Version=2024-01-01" \
  -H "Authorization: Bearer sk-your_token_key" \
  -H "Content-Type: application/json" \
  -d '{
    "Filter": {"GroupIds": ["group-20260710-abcde"], "Statuses": ["Active"]},
    "PageNumber": 1,
    "PageSize": 10
  }'
```

## 响应示例

```json theme={null}
{
  "ResponseMetadata": {"Action": "ListAssets"},
  "Result": {
    "Items": [
      {
        "Id": "asset-20260710-xyz",
        "Name": "portrait.jpg",
        "URL": "https://...(12小时有效签名URL)",
        "GroupId": "group-20260710-abcde",
        "AssetType": "Image",
        "Status": "Active",
        "Moderation": {"Strategy": "Default"},
        "ProjectName": "default",
        "CreateTime": "2026-07-10T00:00:00Z",
        "UpdateTime": "2026-07-10T00:00:00Z"
      }
    ],
    "TotalCount": 1,
    "PageNumber": 1,
    "PageSize": 10
  }
}
```
